Attribute VB_Name = "Kibitzers"
Public Declare Function ShowWindow Lib "user32" (ByVal hwnd As Long, ByVal nCmdShow As Long) As Long
Public Declare Function FindWindow Lib "user32" Alias "FindWindowA" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
Public Declare Function FindWindowEx Lib "user32" Alias "FindWindowExA" (ByVal hWnd1 As Long, ByVal hWnd2 As Long, ByVal lpsz1 As String, ByVal lpsz2 As String) As Long
Public Declare Function EnableWindow Lib "user32" (ByVal hwnd As Long, ByVal cmd As Long) As Long
Public Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long

Public Const SW_SHOW = 5
Public Const SW_HIDE = 0
Public Const WM_CLOSE = &H10
Sub ok()
ZoneGraphicsWindowClassClassic& = FindWindow("ZoneGraphicsWindowClass-Classic", vbNullString)
Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, 0&, "Button", vbNullString)
For i& = 1& To 2&
    Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, Button&, "Button", vbNullString)
Next i&
Call ShowWindow(Button&, SW_SHOW)
EnableWindow Button&, 1
End Sub
Sub ok2()
ZoneGraphicsWindowClassClassic& = FindWindow("ZoneGraphicsWindowClass-Classic", vbNullString)
Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, 0&, "Button", vbNullString)
Call ShowWindow(Button&, SW_SHOW)
EnableWindow Button&, 1
End Sub
Sub ok3()
ZoneGraphicsWindowClassClassic& = FindWindow("ZoneGraphicsWindowClass-Classic", vbNullString)
Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, 0&, "Button", vbNullString)
Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, Button&, "Button", vbNullString)
Call ShowWindow(Button&, SW_SHOW)
EnableWindow Button&, 1
End Sub
Sub ok4()
ZoneGraphicsWindowClassClassic& = FindWindow("ZoneGraphicsWindowClass-Classic", vbNullString)
Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, 0&, "Button", vbNullString)
Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, Button&, "Button", vbNullString)
Call ShowWindow(Button&, SW_HIDE)
End Sub
Sub ok5()
ZoneGraphicsWindowClassClassic& = FindWindow("ZoneGraphicsWindowClass-Classic", vbNullString)
Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, 0&, "Button", vbNullString)
Call ShowWindow(Button&, SW_HIDE)
End Sub
Sub ok6()
ZoneGraphicsWindowClassClassic& = FindWindow("ZoneGraphicsWindowClass-Classic", vbNullString)
Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, 0&, "Button", vbNullString)
For i& = 1& To 2&
    Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, Button&, "Button", vbNullString)
Next i&
Call ShowWindow(Button&, SW_HIDE)
End Sub
Sub ok7()
ZoneGraphicsWindowClassClassic& = FindWindow("ZoneGraphicsWindowClass-Classic", vbNullString)
Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, 0&, "Button", vbNullString)
Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, Button&, "Button", vbNullString)
Call SendMessage(Button&, WM_CLOSE, 0&, 0&)
End Sub
Sub ok8()
ZoneGraphicsWindowClassClassic& = FindWindow("ZoneGraphicsWindowClass-Classic", vbNullString)
Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, 0&, "Button", vbNullString)
Call SendMessage(Button&, WM_CLOSE, 0&, 0&)
End Sub
Sub ok9()
ZoneGraphicsWindowClassClassic& = FindWindow("ZoneGraphicsWindowClass-Classic", vbNullString)
Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, 0&, "Button", vbNullString)
For i& = 1& To 2&
    Button& = FindWindowEx(ZoneGraphicsWindowClassClassic&, Button&, "Button", vbNullString)
Next i&
Call SendMessage(Button&, WM_CLOSE, 0&, 0&)
End Sub

